/*---------------------------------------------------------------------------*

  Copyright 2012 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/



#ifndef _SCHED_H
#define _SCHED_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct sched_param {
	int				sched_priority;		//!< Scheduling priority
	unsigned char	sched_affinity;		//!< CPU core affinity (0-2)
} sched_param_t;

int sched_get_priority_max(void);
int sched_get_priority_min(void);
int sched_yield(void);

#ifdef __cplusplus
}
#endif

#endif
